Subject: Re: [PATCH 0/2] test results for v1.7.12-rc0 on cygwin

From: René Scharfe <[email-masked]>
Date: Sun, 29 Jul 2012 10:57:10 +0200

Am 28.07.2012 20:46, schrieb Ramsay Jones:
> Unfortunately, I was unable to reproduce the final failure in t7810-grep.sh.
> I tried, among other things, to provoke a failure thus:
>
>      $ for i in $(seq 100); do
>      > if ! ./t7810-grep.sh -i -v; then
>      >     break;
>      > fi
>      > done
>      $
>
> but, apart from chewing on the cpu for about 50 minutes, it didn't result
> in a failure. :(
>
> However, after looking at test 59, it seems to me to be a stale (redundant)
> test. So, patch #2 removes that test! :-D [I wish I could reproduce the
> failure because I don't like not knowing why it failed, but ...]

Removing the test makes sense, since it was needed for --ext-grep only, 
is relatively expensive and a bit fragile (by depending on MAXARGS).

I'm slightly worried about the non-reproducible failure, though. 
Perhaps a timing issue is involved and chances are higher if you leave 
out the option -v?

Thanks,
René